Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.dao.jpa
Class MexProperty

    java.lang.Object
      org.apache.ode.dao.jpa.MexProperty

    public class MexProperty

extends java.lang.Object

Field Summary
`static java.lang.String` | `DELETE_MEX_PROPERTIES_BY_MEX_ID`
`static java.lang.String` | `DELETE_MEX_PROPERTIES_BY_MEX_IDS`

Constructor Summary
`MexProperty()`
`MexProperty(java.lang.String propertyKey, java.lang.String propertyValue, MessageExchangeDAOImpl mex)`

Method Summary
`java.lang.String` | `getPropertyKey()`
`java.lang.String` | `getPropertyValue()`
`void` | `setPropertyKey(java.lang.String propertyKey)`
`void` | `setPropertyValue(java.lang.String propertyValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DELETE_MEX_PROPERTIES_BY_MEX_IDS

    public static final java.lang.String DELETE_MEX_PROPERTIES_BY_MEX_IDS

See Also:
  Constant Field Values

### DELETE_MEX_PROPERTIES_BY_MEX_ID

    public static final java.lang.String DELETE_MEX_PROPERTIES_BY_MEX_ID

See Also:
  Constant Field Values

Constructor Detail

### MexProperty

    public MexProperty()

### MexProperty

    public MexProperty(java.lang.String propertyKey,
                       java.lang.String propertyValue,
                       MessageExchangeDAOImpl mex)

Method Detail

### getPropertyKey

    public java.lang.String getPropertyKey()

### setPropertyKey

    public void setPropertyKey(java.lang.String propertyKey)

### getPropertyValue

    public java.lang.String getPropertyValue()

### setPropertyValue

    public void setPropertyValue(java.lang.String propertyValue)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD